Tạo lệnh tắt trong civil 3d

Dưới đây là code lệnh tắt civil 3d mà Bimtechno.com hay dùng. Các bạn có thể copy về paste và file lisp bất kỳ hoặc tải về:

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;===================BIMTECHNO LAST MODIFY 2020/09/02====================;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;	
	       (prompt "\n  LENH TAT C3D BIMTECHNO.COM")
		   (prompt "\n  SED : SUA NHOM COC } ")
		   (prompt "\n  TKL : TINH KHOI LUONG TRAC NGANG ")
		   (prompt "\n  TG  : TARGET CORRIDOR ")
		   (prompt "\n  RBC : REBUILD CORRIDOR  ")
		   (prompt "\n  RAC : REBUILD ALL CORRIDOR  ")
		   (prompt "\n  STD : SUA TRAC DOC  ")	
		   (prompt "\n  SSF : SUA SURFACE  ")			   
		   (prompt "\n  SCD : SUA CORRIDOR  ")			   
		   (prompt "\n  SNC : SUA NHOM COC  ")			   
		   (prompt "\n  SAS : REBUILD ALL SURFACE  ")
		   (prompt "\n  VE  : ObjectViewer  ")		 
		   (prompt "\n  AN  : DIEN NHAN ONG TREN TRAC DOC  ")
		   (prompt "\n  SL  : TAO MOI COC  ")
		   (prompt "\n  S1  : ADD NHAN LY TRINH TUYEN  ")
		   (prompt "\n  ZV  : ZOOMTOSECTIONVIEW  ")		   
		   (prompt "\n  ZS  : ZOOMTOSAMPLELINE  ")		   
(defun c:SED() (command "EDITSVBATCHPROPERTIES"))
(defun c:TKL() (command "_AeccComputeMaterials"))
(defun c:TG() (command "_AeccEditCorrRegionTargets"))
(defun c:RBC() (command "_AeccUpdateCorridor"))
(defun c:STD() (command "EditGraphProperties"))
(defun c:SSF() (command "EditSurfaceProperties"))
(defun c:SCD() (command "EditCorridorProperties"))
(defun c:SNC() (command "EditSampleLineGroupProps"))
(defun c:RAC() (command "CVREBUILDALLCORRIDORS"))
(defun c:VE() (command "ObjectViewer"))
(defun c:AN() (command "_AeccAddNetworkProfLabels"))
(defun c:SL() (command "_AeccCreateSampleLines"))
(defun c:S1() (command "_AeccAddAlignOffXYLbl"))
(defun c:ZV() (command "ZOOMTOSECTIONVIEW"))
(defun c:ZS() (command "ZOOMTOSAMPLELINE"))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;===================BIMTECHNO LAST MODIFY 2020/09/02====================;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;	
; rebuild all surface
(vl-load-com)
(defun rebuild_all_surfaces ()
(if (or (ssget "I" '((0 . "AECC_*SURFACE")))
(ssget "x" '((0 . "AECC_*SURFACE")))
)
(vlax-for ent (vla-get-activeselectionset
(vla-get-activedocument
(vlax-get-acad-object)))
(vlax-invoke ent 'rebuild)
)
)
)

(defun c:RAS () (rebuild_all_surfaces) (princ))

Trả lời

Email của bạn sẽ không được hiển thị công khai. Các trường bắt buộc được đánh dấu *